using System;
using System.Windows.Forms;

namespace Azyobuzi.Twirunrun
{
    public partial class PinForm : Form
    {
        public PinForm()
        {
            InitializeComponent();
        }

        public string InputText { private set; get; }

        private void okButton_Click(object sender, EventArgs e)
        {
            InputText = inputBox.Text.Trim();
        }

        private void inputBox_TextChanged(object sender, EventArgs e)
        {
            okButton.Enabled = !string.IsNullOrWhiteSpace(inputBox.Text);
        }
    }
}
